

set more off
forvalues i=1/6 {
use "\\laval-main\Equipes\Projet 4375\Data\panel`i'.dta" 
keep personid stateid alimo* alip*
so personid stateid
tempfile alimo
save `alimo'

use "\\laval-main\Equipes\Projet 4375\Fevrier2021\Data\panel`i'.dta" , clear
merge 1:1 personid stateid using  `alimo'
drop _m


* reshape wide on marital status
bysort personid: egen nbstate=max(stateid)
su nbstate
global nbstate=r(max)
global nbstatehu=r(max)
reshape wide durm4 dury4 statd4 durilm4 durily4 enddat4 ended4 state4 strdat4 , i(personid) j(stateid)

* Keep interesting variables ( non-varying characteristics plus transitions variables)
keep personid nbstate statd4* enddat4* ended4* state4* strdat4* ilgwt26_* age26_* d31fam26_* dtfmar26_* edfath21 edmoth21 icswt26_* ilbwt26_* ilwcp26_* lenpa26_* lessp26_* marsd26_* nbch26_* /*
     */ panel21 rmjce26_* rmjcg26_* rmjie26_* rmjig26_* sex99_* studtf26_* wtcsld26_* alfst28_* alhrp28_* alhrwk28_* chjob28_* fpdwk28_* fsein28_* fseui28_* funfw28_* mnjob28_* multj28_*  /*
	 */ nbjbs28_* scsum28_* wksem28_* wksnlf28_* wksuem28_* cfid_* earng46_* chdar16_* chdb16_* chdbaf16_* chdbar16_* yrfstb16_* dualcd27_* earng27_* familyid_* fmcomp27_* dwltyp25_*  /*
	 */ dwtenr25_* earng25_* hhcomp25_* hhsz25_* mortg25_* mortgm25_* prtxm25_* pvreg25_* rnbs25_* earng42_* fmse42_* nfmse42_* pen42_* prpen42_* rppc42_* rspwi42_* semp42_* /*
	 */ tticg42_* ttinc42_* uiben42_* wgsal42_* witb42_* wkrcp42_* fathbc15 fllprt20_* wkscp20_* wksun20_* hleveg18_* movst29_* yrxfte11_*  alimo25_* alimo27_* alimo42_* alimo46_* alip25_* alip27_* alip42_* alip46_*

sort personid

reshape long ilgwt26_ age26_ d31fam26_ dtfmar26_  icswt26_ ilbwt26_ ilwcp26_ lenpa26_ lessp26_ marsd26_ nbch26_ /*
     */ rmjce26_ rmjcg26_ rmjie26_ rmjig26_ sex99_ studtf26_ wtcsld26_ alfst28_ alhrp28_ alhrwk28_ chjob28_  fpdwk28_ fsein28_ fseui28_ funfw28_ mnjob28_  multj28_  /*
	 */ nbjbs28_ scsum28_ wksem28_ wksnlf28_ wksuem28_ cfid_ earng46_ chdar16_ chdb16_ chdbaf16_ chdbar16_ yrfstb16_ dualcd27_ earng27_ familyid_ fmcomp27_ dwltyp25_  /*
	 */ dwtenr25_ earng25_ hhcomp25_ hhsz25_ mortg25_ mortgm25_ prtxm25_ pvreg25_ rnbs25_ earng42_ fmse42_ nfmse42_ pen42_ prpen42_ rppc42_ rspwi42_ semp42_ /*
	 */ tticg42_ ttinc42_ uiben42_ wgsal42_ witb42_ wkrcp42_ fllprt20_ wkscp20_ wksun20_ hleveg18_ movst29_ yrxfte11_  alimo25_ alimo27_ alimo42_ alimo46_ alip25_ alip27_ alip42_ alip46_, i(personid) j(year)
* drop missing observations due to attrition

rename *_  *
drop if familyid == "99999999999999"

bysort personid : egen anneeFirst = min(year)
bysort personid : egen anneeLast = max(year)
bysort personid : egen age0 = min(age26)

destring statd4*,replace

gen birthyear= year-age26
replace birthyear=. if birthyear < 1899
replace strdat41=dofy(birthyear+18)

forvalues l=2/$nbstate {
local k = `l'-1
replace enddat4`k' =  strdat4`l'-1 if ended4`k' == "1" & statd4`l' != . & enddat4`k' == .
replace strdat4`l' =  enddat4`k'+1 if ended4`k' == "1" & statd4`l' != . & strdat4`l' == .
}

forvalues k=1/$nbstate {
replace enddat4`k' = dofy(anneeLast) if ended4`k' == "7" & statd4`k' != . & enddat4`k' == .
}

* find couples and construct 1 row by couple
preserve
keep if sex99=="1"
rename * *hu

rename familyidhu familyid
rename yearhu year
sort familyid year
keep if (rmjie26hu=="" | rmjie26hu=="00" | rmjie26hu=="01" | rmjie26hu=="02" ) 
duplicates tag  familyid year, gen(dup)
drop if dup == 1 /* drop same-sex couples */
drop dup

tempfile hommes
save `hommes',replace
restore

keep if sex99=="2"
keep if (rmjie26=="" | rmjie26=="00" | rmjie26=="01" | rmjie26=="02" )
duplicates tag  familyid year, gen(dup)
drop if dup == 1  /* drop same-sex couples */
drop dup
rename * *wi
rename familyidwi familyid
rename yearwi year
sort familyid
save femmes,replace

merge 1:1 year familyid using `hommes'
g alone_w = (_m==1)
g alone_m = (_m==2)

drop _merge
keep if (rmjie26hu=="" | rmjie26hu=="00" | rmjie26hu=="01" | rmjie26hu=="02" ) & (rmjie26wi=="" | rmjie26wi=="00" | rmjie26wi=="01" | rmjie26wi=="02" )

* indicates if both partners are observed
gen bothobs =  (rmjie26hu!="" & rmjie26wi!="")
so familyid year

* marital status each year
foreach var in "wi" "hu" {

gen state`var' = .
gen debstate`var' = .
gen endstate`var' = .
gen dury`var' = .

forvalues k=1/$nbstate {
replace state`var'    = statd4`k'`var'             if year <= year(enddat4`k'`var') & year >= year(strdat4`k'`var') & enddat4`k'`var' != . & strdat4`k'`var' != .
replace debstate`var' = strdat4`k'`var'            if year <= year(enddat4`k'`var') & year >= year(strdat4`k'`var') & enddat4`k'`var' != . & strdat4`k'`var' != .
replace endstate`var' = enddat4`k'`var'            if year <= year(enddat4`k'`var') & year >= year(strdat4`k'`var') & enddat4`k'`var' != . & strdat4`k'`var' != .
replace dury`var'     = year-year(strdat4`k'`var') if year <= year(enddat4`k'`var') & year >= year(strdat4`k'`var') & enddat4`k'`var' != . & strdat4`k'`var' != .
}


* reconstruct marital status when missing but next marital status is observed
local n = $nbstate-1
forvalues k=1/`n' {
local l = `k'+1
replace state`var'    = statd4`l'`var'             if year <= year(enddat4`l'`var') & year >= year(strdat4`k'`var') & enddat4`l'`var' != . & enddat4`k'`var' == . & strdat4`l'`var' == . & strdat4`k'`var' != .
replace debstate`var' = strdat4`k'`var'            if year <= year(enddat4`l'`var') & year >= year(strdat4`k'`var') & enddat4`l'`var' != . & enddat4`k'`var' == . & strdat4`l'`var' == . & strdat4`k'`var' != .
replace endstate`var' = enddat4`l'`var'            if year <= year(enddat4`l'`var') & year >= year(strdat4`k'`var') & enddat4`l'`var' != . & enddat4`k'`var' == . & strdat4`l'`var' == . & strdat4`k'`var' != .
replace dury`var'     = year-year(strdat4`k'`var') if year <= year(enddat4`l'`var') & year >= year(strdat4`k'`var') & enddat4`l'`var' != . & enddat4`k'`var' == . & strdat4`l'`var' == . & strdat4`k'`var' != .
}


gen durcl`var' = .
replace durcl`var' = dury`var' if state`var' == 2

gen durcohab`var' = dury`var'[_n-1]+1 if state`var' == 1 & state`var'[_n-1] == 2 & familyid == familyid[_n-1]
recode durcohab`var' (.=0)
bys familyid : egen durcohab`var'2 = sum(durcohab`var')

gen duree_couple`var' = dury`var' if state`var' == 2
replace duree_couple`var' = dury`var' + durcohab`var'2 if state`var' == 1

gen yeardebstate`var' =  year(debstate`var')
}

drop enddat41wi - strdat4`{'$nbstate`}'wi enddat41hu - strdat4`{'$nbstate`}'hu

sort familyid year
save base`i',replace

}


****** append all panels *****

use base1,replace
forvalues i=2/6 {
append using base`i'
}

/**********************************************/
/*************** Clean variables **************/
/*********************************************/
foreach var in "wi" "hu" {

* recode les 0
destring lenpa26`var',replace
recode lenpa26`var'     (7=.)  (9=.)  (2 =0)
recode wksem28`var'     (97=.) (99=.) (53 =52)
recode wksnlf28`var'    (97=.) (99=.) (53 =52)
recode wksuem28`var'    (97=.) (99=.) (53 =52)
recode yrxfte11`var'    (97=.) (98=.)(99=.)
destring dwtenr25`var',replace
recode dwtenr25`var'    (7=.)(8=.)
recode dwtenr25`var'    (2=0)
recode alhrp28`var'     (9997=.) (9999=.)
recode alhrwk28`var'     (9997=.) (9999=.)
recode earng42`var'     (99999996=.) (99999997=.) (99999998=.) (99999999=.)
recode mortgm25`var'    (99999996=.) (99999997=.) (99999998=.) (99999999=.)
recode chdbar16`var'    (97=.)(98=.)(99=.)
recode chdb16`var'      (97=.)(98=.)(99=.)
destring chjob28`var',replace
recode chjob28`var'     (6=.)(7=.) (8=.)(9=.)
recode alimo42`var'     (99999996=.) (99999997=.) (99999998=.) (99999999=.)
recode alip42`var'     (99999996=.) (99999997=.) (99999998=.) (99999999=.)

recode nbch26`var'      (96=.) (97=.)(98=.)(99=.)
destring fmcomp27`var',replace
recode fmcomp27`var'    (96=.) (97=.)(98=.)(99=.)
destring hhcomp25`var',replace
recode hhcomp25`var'    (96=.) (97=.)(98=.)(99=.)
destring hhsz25`var',replace
recode hhsz25`var'      (96=.) (97=.)(98=.)(99=.)

destring multj28`var',replace
recode multj28`var'     (6=.)(7=.) (8=.)(9=.)
destring mnjob28`var',replace
recode mnjob28`var'     (96=.)(97=.) (98=.)(99=.)
destring nbjbs28`var',replace
recode nbjbs28`var'     (96=.)(97=.) (98=.)(99=.)
destring scsum28`var',replace
recode scsum28`var'     (96=.)(97=.) (98=.)(99=.)

destring studtf26`var', replace
recode studtf26`var'    (7=.)(8=.)
destring fllprt20`var' , replace
recode fllprt20`var'    (7=.)(8=.)
recode fllprt20`var'    (9=0)
recode fllprt20`var'    (3=2)
recode yrfstb16`var'    (9997=.)(9998=.)(9999=.)

destring pvreg25`var',replace
recode pvreg25`var'    (99 = .)

* educational level
gen educ`var'=. 
replace educ`var' = 1 if hleveg18`var' == "01"|hleveg18`var' == "02"|hleveg18`var' == "03"|hleveg18`var' == "04"|hleveg18`var' == "05"  /* 11 à 13 ans d'études primaire et secondaires, pas de diplome */
replace educ`var' = 2 if hleveg18`var' == "06"|hleveg18`var' == "07"|hleveg18`var' == "08"  /* diplome du secondaire, etudes post secondaires partielles (universitaire et non universitaires) */
replace educ`var' = 3 if hleveg18`var' == "09"  /* certificat post secondaire non universitaire*/
replace educ`var' = 4 if hleveg18`var' == "10"|hleveg18`var' == "11" /* certificat universitaire, bac */
replace educ`var' = 5 if hleveg18`var' == "12" /* maîtrise, doctorat */

* variables indicating students
gen study`var'    = (fllprt20`var' == 1 | fllprt20`var' ==2)
gen study_ft`var' = (fllprt20`var' == 1)

replace study`var'    = . if personid`var' == ""
replace study_ft`var' = . if personid`var' == ""

* mortgage
gen mortgage`var'     = (mortg25`var' == "1")
replace mortgage`var' = . if personid`var' ==""

* has more than one job
recode multj28`var' (2=0)

}


* additional variables: changejob
{
foreach var in "wi" "hu" {
* changement d'emploi au cours de l'année
recode chjob28`var'   (2 = 0)
gen chjob28corr`var' = chjob28`var' 
replace chjob28corr`var' = 0 if (nbjbs28`var' == 0 | nbjbs28`var' == 1) & chjob28`var' == .
replace chjob28corr`var' = 1 if (nbjbs28`var' > 1 & nbjbs28`var' != .)  & chjob28`var' == .

* Indicatrice de temps partiel sur l'année parmi les travailleurs
gen Tempspartiel`var'   = scsum28`var'   > 11 if  scsum28`var'  < 30
}
}


* identifies couples
gen couplehu = (statehu == 1 | statehu== 2)
gen couplewi = (statewi == 1 | statewi== 2)

save BDDPanel,replace
