*********************************
******** regressions DID ********
*********************************

use BDDPanel2, clear
drop if familyidnum == .
xtset familyidnum year

global weightwi "[aw=poids_couplewi]"
global weighthu "[aw=poids_couplehu]"

gen misswi_outcome  = missing(hourswi,incomewi)
gen misshu_outcome  = missing(hourshu,incomehu)

global clushu "pvreg25hu"
global cluswi "pvreg25wi"
global clus "pvreg25"


global samplehu "(statehu==2) & allagehu  & duree_couplehu <= 10  & migrant_prov_fam ==0  & misshu_outcome == 0"
global samplewi "(statewi==2) & allagewi  & duree_couplewi <= 10  & migrant_prov_fam ==0  & misswi_outcome == 0"



********************************************************
************* IMPACT OF REFORM ---- TAB 3 **************
********************************************************

* numeroted 1 in log files, tab 3 in paper

global spe2wi "has_childwi d_1y_wi-d_10y_wi  y_1994-y_2011  d_1y_c_wi-d_10y_c_wi  y_1994_c_wi-y_2011_c_wi  prov_TN_child_wi-prov_CB_child_wi"
global spe2hu "has_childhu d_1y_hu-d_10y_hu  y_1994-y_2011  d_1y_c_hu-d_10y_c_hu  y_1994_c_hu-y_2011_c_hu  prov_TN_child_hu-prov_CB_child_hu"

cap est store clear
log using "$results\tab1", replace text
log close  _all

preserve 
keep if $samplehu
foreach v in hours hours_int lnhours lnincome wkactif notemployed noearnings{
di "`v'"
capture est store clear
	reghdfe `v'hu reform_fedhu reform_egalhu $spe2hu $weighthu if $samplehu, absorb(familyidnum) vce(cluster $clushu)
	est store men`v'
	boottest {reform_fedhu} {reform_egalhu}, nograph reps(9999) weight(webb) cluster($clushu) 
	matrix CI_1 = r(CI_1)
	matrix CI_2 = r(CI_2)
	matrix M`v'hu = (r(t_1) \ r(p_1) \ CI_1[1,1] \ CI_1[1,2] \ r(t_2) \ r(p_2) \ CI_2[1,1] \ CI_2[1,2] )
	edfreg `v'hu reform_fedhu reform_egalhu $spe2hu  $weighthu if $samplehu,   absorb(familyidnum) cluster($clushu) select(reform_fedhu reform_egalhu)	
	matrix E`v'hu = e(edf)
}
restore

preserve 
keep if $samplewi
foreach v in hours hours_int lnhours lnincome wkactif notemployed noearnings{
di "`v'"
	reghdfe `v'wi reform_fedwi reform_egalwi $spe2wi $weightwi if $samplewi, absorb(familyidnum) vce(cluster $cluswi)
	est store women`v'
	boottest {reform_fedwi} {reform_egalwi}, nograph reps(9999) weight (webb) cluster($cluswi) 
	matrix CI_1 = r(CI_1)
	matrix CI_2 = r(CI_2)
	matrix M`v'wi = (r(t_1) \ r(p_1) \ CI_1[1,1] \ CI_1[1,2] \ r(t_2) \ r(p_2) \ CI_2[1,1] \ CI_2[1,2] )
	edfreg `v'wi reform_fedwi reform_egalwi $spe2wi  $weightwi if $samplewi,   absorb(familyidnum) cluster($cluswi) select(reform_fedwi reform_egalwi)	
	matrix E`v'wi = e(edf)
}
restore

matrix wildhu = Mhourshu, Mhours_inthu, Mlnhourshu, Mlnincomehu, Mwkactifhu, Mnotemployedhu, Mnoearningshu
matrix wildwi = Mhourswi, Mhours_intwi, Mlnhourswi, Mlnincomewi, Mwkactifwi, Mnotemployedwi, Mnoearningswi
matrix colnames wildhu = Mhourshu Mhours_inthu Mlnhourshu Mlnincomehu Mwkactifhu Mnotemployedhu Mnoearningshu
matrix colnames wildwi = Mhourswi Mhour_intswi Mlnhourswi Mlnincomewi Mwkactifwi  Mnotemployedwi  Mnoearningswi
matrix rownames  wildhu = t_fed p_fed CI_low_fed CI_high_fed t_eg p_eg CI_low_eg CI_high_eg 
matrix rownames  wildwi = t_fed p_fed CI_low_fed CI_high_fed t_eg p_eg CI_low_eg CI_high_eg 

matrix EDFhu = Ehourshu \ Ehours_inthu \ Elnhourshu \ Elnincomehu \ Ewkactifhu \ Enotemployedhu \ Enoearningshu
matrix rownames EDFhu = hours_A hours_M hours_int_A hours_int_M  lnhours_A lnhours_M lnincome_A lnincome_M  wkactif_A wkactif_M  notemployed_A notemployed_M noearnings_A noearnings_M
matrix EDFwi = Ehourswi \ Ehours_intwi \ Elnhourswi \ Elnincomewi \ Ewkactifwi \ Enotemployedwi \ Enoearningswi
matrix rownames EDFwi = hours_A hours_M hours_int_A hours_int_M  lnhours_A lnhours_M lnincome_A lnincome_M  wkactif_A wkactif_M  notemployed_A notemployed_M noearnings_A noearnings_M

log using "$results\tab1", append text
di "IMPACT OF REFORMS --- MEN --- FE INDIV"
estimates table menhours menhours_int menlnhours menlnincome menwkactif  mennotemployed mennoearnings, keep(reform_fedhu reform_egalhu) b(%9.3f) se(%9.3f) p(%9.3f) stats(N r2 N_full num_singletons df_a_nested) title("Sample = Men")
matrix list wildhu
matrix list EDFhu
log close  _all

log using "$results\tab1", append text
di "IMPACT OF REFORMS --- WOMEN --- FE INDIV"
estimates table womenhours womenhours_int womenlnhours womenlnincome womenwkactif  womennotemployed womennoearnings, keep(reform_fedwi reform_egalwi) b(%9.3f) se(%9.3f) p(%9.3f) stats(N r2 N_full num_singletons df_a_nested) title("Sample = Women")
matrix list wildwi
matrix list EDFwi
log close  _all




***************************************************************
**** EFFET DE L'ELIGIBILITE **** Diff de Diff. OUTCOME. ALL
***************************************************************

* numeroted 4 in log files, tab 4, panel A in paper 

global spe2wi "has_childwi d_1y_wi-d_10y_wi  y_1994-y_2011  d_1y_c_wi-d_10y_c_wi  y_1994_c_wi-y_2011_c_wi  prov_TN_child_wi-prov_CB_child_wi"
global spe2hu "has_childhu d_1y_hu-d_10y_hu  y_1994-y_2011  d_1y_c_hu-d_10y_c_hu  y_1994_c_hu-y_2011_c_hu  prov_TN_child_hu-prov_CB_child_hu"

global spewi "has_childwi d_1y_wi-d_10y_wi y_1994-y_2011 age26wi agewi_sq"
global spehu "has_childhu d_1y_hu-d_10y_hu y_1994-y_2011 age26hu agehu_sq"


**** FEMMES ****
set more off
log using "$results\tab4_women", replace text
log close  _all

preserve 
keep if $samplewi
foreach v in hourswi hours_intwi lnhourswi lnincomewi wkactifwi notemployedwi noearningswi{
	di "`v'"
	capture est store clear 
	reghdfe `v' reg_cilwwi regeg_cilwwi $spe2wi $weightwi if $samplewi,  absorb(familyidnum)  vce(cluster $cluswi)
	est store C`v'
	test  _b[reg_cilwwi]+_b[regeg_cilwwi] = 0
	scalar B = _b[reg_cilwwi]+_b[regeg_cilwwi]
	scalar F = r(F)
	scalar p = r(p)
	boottest {reg_cilwwi} {regeg_cilwwi} {reg_cilwwi+regeg_cilwwi=0}, nograph reps(9999) weight(webb) cluster($cluswi)
	matrix CI_1 = r(CI_1)
	matrix CI_2 = r(CI_2)
	matrix M`v' = (r(t_1) \ r(p_1) \ CI_1[1,1] \ CI_1[1,2] \ r(t_2) \ r(p_2) \ CI_2[1,1] \ CI_2[1,2] \ B \ p \ F \ r(t_3) \ r(p_3) \ r(F_3) )
	edfreg `v' reg_cilwwi regeg_cilwwi $spe2wi  $weightwi if $samplewi,   absorb(familyidnum) cluster($cluswi) select(reg_cilwwi regeg_cilwwi)	
	matrix E`v' = e(edf)
}
restore

matrix wildwi = Mhourswi, Mhours_intwi, Mlnhourswi, Mlnincomewi, Mwkactifwi, Mnotemployedwi, Mnoearningswi
matrix colnames wildwi = Mhourswi Mhours_intwi Mlnhourswi Mlnincomewi Mwkactifwi  Mnotemployedwi Mnoearningswi
matrix rownames  wildwi = t_fed p_fed CI_low_fed CI_high_fed t_eg p_eg CI_low_eg CI_high_eg b_sum p_sum F_sum  t_sum_WB p_sum_WB F_sum_WB

matrix EDFwi = Ehourswi \ Ehours_intwi \ Elnhourswi \ Elnincomewi \ Ewkactifwi \ Enotemployedwi \ Enoearningswi
matrix rownames EDFwi = hours_A hours_M hours_int_A hours_int_M  lnhours_A lnhours_M lnincome_A lnincome_M  wkactif_A wkactif_M  notemployed_A notemployed_M noearnings_A noearnings_M


log using "$results\tab4_women", append text
estimates table Chourswi Chours_intwi Clnhourswi Clnincomewi Cwkactifwi Cnotemployedwi Cnoearningswi, keep(reg_cilwwi regeg_cilwwi) b(%9.3f) se(%9.3f) p(%9.3f) stats(N r2 N_full num_singletons df_a_nested) title("Sample = Women")
matrix list wildwi
matrix list EDFwi
log close  _all


**** HOMMES ****
set more off
log using "$results\tab4_men", replace text
log close  _all

preserve 
keep if $samplehu
foreach v in hourshu hours_inthu lnhourshu lnincomehu wkactifhu notemployedhu noearningshu{
	di "`v'"
	capture est store clear 
	reghdfe `v' reg_cilwhu regeg_cilwhu $spe2hu $weighthu if $samplehu,  absorb(familyidnum)  vce(cluster $clushu)
	est store C`v'
	test  _b[reg_cilwhu]+_b[regeg_cilwhu] = 0
	scalar B = _b[reg_cilwhu]+_b[regeg_cilwhu]
	scalar F = r(F)
	scalar p = r(p)
	boottest {reg_cilwhu} {regeg_cilwhu} {reg_cilwhu+regeg_cilwhu=0}, nograph reps(9999) weight(webb) cluster($clushu)
	matrix CI_1 = r(CI_1)
	matrix CI_2 = r(CI_2)
	matrix M`v' = (r(t_1) \ r(p_1) \ CI_1[1,1] \ CI_1[1,2] \ r(t_2) \ r(p_2) \ CI_2[1,1] \ CI_2[1,2] \ B \ p \ F \ r(t_3) \ r(p_3) \ r(F_3) )
	edfreg `v' reg_cilwhu regeg_cilwhu $spe2hu  $weighthu if $samplehu,   absorb(familyidnum) cluster($clushu) select(reg_cilwhu regeg_cilwhu)	
	matrix E`v' = e(edf)
}
restore

matrix wildhu = Mhourshu, Mhours_inthu, Mlnhourshu, Mlnincomehu, Mwkactifhu, Mnotemployedhu, Mnoearningshu
matrix colnames wildhu = Mhourshu Mhours_inthu Mlnhourshu Mlnincomehu  Mwkactifhu  Mnotemployedhu Mnoearningshu
matrix rownames  wildhu = t_fed p_fed CI_low_fed CI_high_fed t_eg p_eg CI_low_eg CI_high_eg b_sum p_sum F_sum  t_sum_WB p_sum_WB F_sum_WB 

matrix EDFhu = Ehourshu \ Ehours_inthu \ Elnhourshu \ Elnincomehu \ Ewkactifhu \ Enotemployedhu \ Enoearningshu

matrix rownames EDFhu = hours_A hours_M hours_int_A hours_int_M  lnhours_A lnhours_M lnincome_A lnincome_M  wkactif_A wkactif_M  notemployed_A notemployed_M noearnings_A noearnings_M


log using "$results\tab4_men", append text
estimates table Chourshu Chours_inthu Clnhourshu Clnincomehu Cwkactifhu Cnotemployedhu Cnoearningshu, keep(reg_cilwhu regeg_cilwhu) b(%9.3f) se(%9.3f) p(%9.3f) stats(N r2 N_full num_singletons df_a_nested) title("Sample = Men")
matrix list wildhu
matrix list EDFhu
log close  _all


***************************************************************
**** EFFET DE L'ELIGIBILITE **** OUTCOME BEFORE/AFTER *********
***************************************************************
* table 4 panel B in paper

global treatmentwi  "reg_cilwwi_bef1 reg_cilwwi_noncaught regeg_cilwwi_bef1 regeg_cilwwi_noncaught "
global treatmenthu  "reg_cilwhu_bef1 reg_cilwhu_noncaught regeg_cilwhu_bef1 regeg_cilwhu_noncaught "

**** FEMMES ****
set more off
log using "$results\tab5_women", replace text
log close  _all


preserve 
keep if $samplewi
foreach v in hourswi hours_intwi lnhourswi lnincomewi wkactifwi notemployedwi noearningswi{
	di "`v'"
	capture est store clear 
	reghdfe `v' reg_cilwwi_bef1 reg_cilwwi_noncaught regeg_cilwwi_bef1 regeg_cilwwi_noncaught $spe2wi $weightwi if $samplewi,  absorb(familyidnum)  vce(cluster $cluswi)
	est store C`v'
	test  _b[reg_cilwwi_noncaught]+_b[regeg_cilwwi_noncaught] = 0
	scalar B5 = _b[reg_cilwwi_noncaught]+_b[regeg_cilwwi_noncaught]
	scalar p5 = r(p)
	scalar F5 = r(F)
	scalar B6 = _b[reg_cilwwi_bef1]-_b[reg_cilwwi_noncaught]
	scalar B7 = _b[regeg_cilwwi_bef1]-_b[regeg_cilwwi_noncaught]
	boottest {reg_cilwwi_bef1} {reg_cilwwi_noncaught} {regeg_cilwwi_bef1} {regeg_cilwwi_noncaught}{reg_cilwwi_noncaught+regeg_cilwwi_noncaught=0}{reg_cilwwi_noncaught=reg_cilwwi_bef1}{regeg_cilwwi_noncaught=regeg_cilwwi_bef1}, nograph reps(9999) weight(webb) cluster($cluswi) 
	matrix CI_1 = r(CI_1)
	matrix CI_2 = r(CI_2)
	matrix CI_3 = r(CI_3)
	matrix CI_4 = r(CI_4)
	matrix M`v' = (r(t_1) \ r(p_1) \ CI_1[1,1] \ CI_1[1,2] \ r(t_2) \ r(p_2) \ CI_2[1,1] \ CI_2[1,2] \ r(t_3) \ r(p_3) \ CI_3[1,1] \ CI_3[1,2] \ r(t_4) \ r(p_4) \ CI_4[1,1] \ CI_4[1,2] \ B5 \ p5 \ F5 \ r(t_5) \ r(p_5) \ r(F_5)  \ B6 \ r(t_6) \ r(p_6) \ r(F_6) \ B7 \ r(t_7) \ r(p_7) \ r(F_7) )
	edfreg `v' reg_cilwwi_bef1 reg_cilwwi_noncaught regeg_cilwwi_bef1 regeg_cilwwi_noncaught $spe2wi  $weightwi if $samplewi,   absorb(familyidnum) cluster($cluswi) select(reg_cilwwi_bef1 reg_cilwwi_noncaught regeg_cilwwi_bef1 regeg_cilwwi_noncaught)	
	matrix E`v' = e(edf)
}
restore 

matrix wildwi = Mhourswi, Mhours_intwi, Mlnhourswi, Mlnincomewi, Mwkactifwi, Mnotemployedwi, Mnoearningswi
matrix colnames wildwi = Mhourswi Mhours_intwi Mlnhourswi Mlnincomewi Mwkactifwi Mnotemployedwi Mnoearningswi
matrix rownames  wildwi = t_fed_bef p_fed_bef CI_low_fed_bef CI_high_fed_bef t_fed_nonc p_fed_nonc CI_low_fed_nonc CI_high_fed_nonc t_eg_bef p_eg_bef CI_low_eg_bef CI_high_eg_bef t_eg_nonc p_eg_nonc CI_low_eg_nonc CI_high_eg_nonc b_sum p_sum F_sum t_sum_WB p_sum_WB F_sum_WB b_diffal t_diffal p_diffal F_diffal  b_diffeg t_diffeg p_diffeg F_diffeg  

matrix EDFwi = Ehourswi \ Ehours_intwi \ Elnhourswi \ Elnincomewi \ Ewkactifwi \ Enotemployedwi \ Enoearningswi
matrix rownames EDFwi = hours_A_C hours_A_NC hours_M_C hours_M_NC hours_int_A_C hours_int_A_NC hours_int_M_C hours_int_M_NC  lnhours_A_C lnhours_A_NC lnhours_M_C lnhours_M_NC   lnincome_A_C lnincome_A_NC lnincome_M_C lnincome_M_NC  wkactif_A_C wkactif_A_NC wkactif_M_C wkactif_M_NC  notemployed_A_C notemployed_A_NC notemployed_M_C notemployed_M_NC noearnings_A_C noearnings_A_NC noearnings_M_C noearnings_M_NC

log using "$results\tab5_women", append text
estimates table Chourswi Chours_intwi Clnhourswi Clnincomewi Cwkactifwi Cnotemployedwi Cnoearningswi, keep(reg_cilwwi_bef1 reg_cilwwi_noncaught regeg_cilwwi_bef1 regeg_cilwwi_noncaught) b(%9.3f) se(%9.3f) p(%9.3f) stats(N r2 N_full num_singletons df_a_nested) title("Sample = Women")
matrix list wildwi
matrix list EDFwi
log close  _all

	

**** HOMMES ****
set more off
log using "$results\tab5_men", replace text
log close  _all

preserve 
keep if $samplehu
foreach v in hourshu hours_inthu lnhourshu income_inthu lnincomehu wkactifhu notemployedhu noearningshu {
	di "`v'"
	capture est store clear 
	reghdfe `v' reg_cilwhu_bef1 reg_cilwhu_noncaught regeg_cilwhu_bef1 regeg_cilwhu_noncaught $spe2hu $weighthu if $samplehu,  absorb(familyidnum)  vce(cluster $clushu)
	est store C`v'
	test  _b[reg_cilwhu_noncaught]+_b[regeg_cilwhu_noncaught] = 0
	scalar B = _b[reg_cilwhu_noncaught]+_b[regeg_cilwhu_noncaught]
	scalar p = r(p)
	scalar F = r(F)
	boottest {reg_cilwhu_bef1} {reg_cilwhu_noncaught} {regeg_cilwhu_bef1} {regeg_cilwhu_noncaught}{reg_cilwhu_noncaught+regeg_cilwhu_noncaught=0}{reg_cilwhu_noncaught=reg_cilwhu_bef1}{regeg_cilwhu_noncaught=regeg_cilwhu_bef1}, nograph reps(9999) weight(webb) cluster($clushu)
	matrix CI_1 = r(CI_1)
	matrix CI_2 = r(CI_2)
	matrix CI_3 = r(CI_3)
	matrix CI_4 = r(CI_4)
	matrix M`v' = (r(t_1) \ r(p_1) \ CI_1[1,1] \ CI_1[1,2] \ r(t_2) \ r(p_2) \ CI_2[1,1] \ CI_2[1,2] \ r(t_3) \ r(p_3) \ CI_3[1,1] \ CI_3[1,2] \ r(t_4) \ r(p_4) \ CI_4[1,1] \ CI_4[1,2] \ B \ p \ F \ r(t_5) \ r(p_5) \ r(F_5) \ B6 \ r(t_6) \ r(p_6) \ r(F_6) \ B7 \ r(t_7) \ r(p_7) \ r(F_7) )
	edfreg `v' reg_cilwhu_bef1 reg_cilwhu_noncaught regeg_cilwhu_bef1 regeg_cilwhu_noncaught $spe2hu  $weighthu if $samplehu,   absorb(familyidnum) cluster($clushu) select(reg_cilwhu_bef1 reg_cilwhu_noncaught regeg_cilwhu_bef1 regeg_cilwhu_noncaught)	
	matrix E`v' = e(edf)
}
restore 

matrix wildhu = Mhourshu, Mhours_inthu, Mlnhourshu, Mlnincomehu, Mwkactifhu, Mnotemployedhu, Mnoearningshu
matrix colnames wildhu = Mhourshu Mhours_inthu Mlnhourshu Mlnincomehu  Mwkactifhu  Mnotemployedhu Mnoearningshu
matrix rownames  wildhu = t_fed_bef p_fed_bef CI_low_fed_bef CI_high_fed_bef t_fed_nonc p_fed_nonc CI_low_fed_nonc CI_high_fed_nonc t_eg_bef p_eg_bef CI_low_eg_bef CI_high_eg_bef t_eg_nonc p_eg_nonc CI_low_eg_nonc CI_high_eg_nonc b_sum p_sum F_sum t_sum_WB p_sum_WB F_sum_WB b_diffal t_diffal p_diffal F_diffal  b_diffeg t_diffeg p_diffeg F_diffeg  

matrix EDFhu = Ehourshu \ Ehours_inthu \ Elnhourshu \ Elnincomehu \ Ewkactifhu \ Enotemployedhu \ Enoearningshu
matrix rownames EDFhu = hours_A_C hours_A_NC hours_M_C hours_M_NC hours_int_A_C hours_int_A_NC hours_int_M_C hours_int_M_NC  lnhours_A_C lnhours_A_NC lnhours_M_C lnhours_M_NC   lnincome_A_C lnincome_A_NC lnincome_M_C lnincome_M_NC  wkactif_A_C wkactif_A_NC wkactif_M_C wkactif_M_NC  notemployed_A_C notemployed_A_NC notemployed_M_C notemployed_M_NC noearnings_A_C noearnings_A_NC noearnings_M_C noearnings_M_NC

log using "$results\tab5_men", append text
estimates table Chourshu Chours_inthu Clnhourshu Clnincomehu Cwkactifhu Cnotemployedhu Cnoearningshu, keep(reg_cilwhu_bef1 reg_cilwhu_noncaught regeg_cilwhu_bef1 regeg_cilwhu_noncaught) b(%9.3f) se(%9.3f) p(%9.3f) stats(N r2 N_full num_singletons df_a_nested) title("Sample = men")
matrix list wildhu
matrix list EDFhu

log close  _all




*****************************************************************************
**** EFFET DES REFORMES *** Diff de Diff ******  SELECTION / COMPOSITION **
*****************************************************************************

** creates table 2 (= tab in the online appendix on cohabitation vs. marriage when starting a relationship) 

use BDDPanel3, clear


global sample  "age26 >= 18 & age26 <= 50 & sex !=. & has_child != . & educ != . & age26 != . & pvreg25 != . "

global speS  "i.sex i.sex##has_child y_1994-y_2011 i.pvreg25 i.sex##i.educ i.age26 "
global speS2 "i.sex i.sex##has_child y_1994-y_2011 i.pvreg25 i.sex##i.educ i.age26 prov_10_y-prov_59_y "

forv k = 0/2{
	gen sex_`k' = (sex == `k')

	forv i = 0/1{
		g sex_`k'_has_child_`i' = (sex == `k' & has_child == `i')
 	}
	
	foreach i in 10 11 12 13 24 35 46 47 48 59{
		g sex_`k'_pvreg25`i' = (sex == `k' & pvreg25 == `i')
 	}

	forv i = 1/5{
		g sex_`k'_educ`i' = (sex == `k' & educ == `i')
 	}
}

foreach i in 10 11 12 13 24 35 46 47 48 59{
	g pv`i' = (pvreg25 == `i')
 }
 
forv i = 16/106{
	g age26_`i' = (age26 == `i')
 } 


global speS  "sex_0* sex_1* sex_2* y_1994-y_2011 pv10-pv59 age26_16 - age26_106"
global speS2 "sex_0* sex_1* sex_2* y_1994-y_2011 pv10-pv59 age26_16 - age26_106 prov_10_y-prov_59_y "


*****************  cohab vs mariage ***********************


global clus "pvreg25"
log using "$results\tab2", replace text
log close  _all

preserve
keep if $sample & (duree_couple == 0|duree_couple == 1)

capture est store clear 
	reg    cohab reform_fed reform_egal $speS  [aw=poids_couple] if $sample & (duree_couple == 0|duree_couple == 1), cluster($clus)
	est store cohab11
	boottest {reform_fed} {reform_egal},  reps(9999) weight(webb) cluster($clus)
	matrix Mcohab1 = (r(t_1) \ r(p_1) \ r(t_2) \ r(p_2) )
	edfreg cohab reform_fed reform_egal $speS  [aw=poids_couple] if $sample & (duree_couple == 0|duree_couple == 1), cluster($clus) select(reform_fed reform_egal)	
	matrix Ecohab1 = e(edf)
	
	reg cohab reform_fed reform_egal $speS2 [aw=poids_couple] if $sample & (duree_couple == 0|duree_couple == 1), cluster($clus)
	est store cohab12
	boottest {reform_fed} {reform_egal},  reps(9999) weight(webb) cluster($clus)
	matrix Mcohab2 = (r(t_1) \ r(p_1) \ r(t_2) \ r(p_2)  )
	edfreg cohab reform_fed reform_egal $speS2  [aw=poids_couple] if $sample & (duree_couple == 0|duree_couple == 1), cluster($clus) select(reform_fed reform_egal)	
	matrix Ecohab2 = e(edf)

matrix wild = Mcohab1, Mcohab2
matrix colnames wild = Mcohab1 Mcohab2
matrix rownames  wild = t_fed p_fed t_eg p_eg
	
log using "$results\tab2", append text
di "CLUSTER PROVINCE"
estimates table cohab11 cohab12, keep(reform_fed reform_egal) b(%9.3f) se(%9.3f) p(%9.3f) stats(N r2) 
matrix list wild
matrix list Ecohab1 
matrix list Ecohab2
log close  _all

capture est store clear 
	reg cohab reform_fed reform_egal $speS  [aw=poids_couple] if $sample & (duree_couple == 0|duree_couple == 1) & pvreg25 != 24, cluster($clus)
	est store cohab11
	boottest {reform_fed} {reform_egal},  reps(9999) weight(webb) cluster($clus)
	matrix Mcohab1 = (r(t_1) \ r(p_1) \ r(t_2) \ r(p_2) )
	edfreg cohab reform_fed reform_egal $speS  [aw=poids_couple] if $sample & (duree_couple == 0|duree_couple == 1)  & pvreg25 != 24, cluster($clus) select(reform_fed reform_egal)	
	matrix Ecohab11 = e(edf)	
	
	reg cohab reform_fed reform_egal $speS2 [aw=poids_couple] if $sample & (duree_couple == 0|duree_couple == 1)  & pvreg25 != 24, cluster($clus)
	est store cohab12
	boottest {reform_fed} {reform_egal},  reps(9999) weight(webb) cluster($clus)
	matrix Mcohab2 = (r(t_1) \ r(p_1) \ r(t_2) \ r(p_2)  )
	edfreg cohab reform_fed reform_egal $speS2  [aw=poids_couple] if $sample & (duree_couple == 0|duree_couple == 1) & pvreg25 != 24, cluster($clus) select(reform_fed reform_egal)	
	matrix Ecohab2 = e(edf)

matrix wild = Mcohab1, Mcohab2
matrix colnames wild = Mcohab1 Mcohab2
matrix rownames  wild = t_fed p_fed t_eg p_eg
	
log using "$results\tab2", append text
di "CLUSTER PROVINCE - SANS QUEBEC"
estimates table cohab11 cohab12, keep(reform_fed reform_egal) b(%9.3f) se(%9.3f) p(%9.3f) stats(N r2) 
matrix list wild
matrix list Ecohab1 
matrix list Ecohab2
log close  _all

restore



***************************************************************
***** IMPACT OF BEING ELIGIBLE ON MARRIAGE AND SEPARATION  ****
***************************************************************

 * (= Tab 6 in the article)


gen missing_x = missing(has_child,duree_couple,year,pvreg25,sex,educ)
global weight "[aw=poids_couple]"

***** MARRIAGE ******

forv k = 0/2{
	forv i = 16/106{
		g sex`k'_age26_`i' = (sex==`k' & age26 == `i')
	} 
}

forv i = 0/1{
	forv y = 1993/2011{
		g has_child_`i'_y_`y' = (has_child == `i' & year == `y')
	}
	
	foreach j in 10 11 12 13 24 35 46 47 48 59{
		g has_child_`i'_pv_`j' = (has_child == `i' & pvreg25 == `j')
 	}

	forv d = 0/15{
		g has_child_`i'_d_`d' = (has_child == `i' & duree_couple == `d')
	}
	
 }
	
global spe2 "has_child i.duree_couple i.year i.pvreg25 i.sex i.educ sex_0* sex_1* sex_2*  has_child_0_y_* has_child_1_y_* has_child_0_pv_* has_child_1_pv_* has_child_0_d_* has_child_1_d_*"
global sampleMar "duree_couple <= 10 & allage == 1 & (cohab==1|getmarriedthisyear==1)  & missing_x == 0"
global sampleSep "duree_couple <= 10 & allage == 1 & (cohab==1)  & missing_x == 0"


********************** SEPARATE COUPLES FORMED BEFORE AND AFTER ****************

** CAUTIOUS: different type of code = we write a command line which is run below

capture program drop _result_marsep
program _result_marsep
args cluster

log using "$results\tab6_selectionMarSep_BefAft", replace text
log close  _all

preserve 
keep if $sampleMar
reg getmarriedthisyear  reg_cilw_bef1  reg_cilw_noncaught regeg_cilw_bef1 regeg_cilw_noncaught $spe2  $weight if $sampleMar  , vce(cluster `cluster')
est store mar_flux

	* test 1
	test  _b[reg_cilw_bef1] - _b[reg_cilw_noncaught] = 0
	scalar B1 = _b[reg_cilw_bef1] - _b[reg_cilw_noncaught] 
	scalar F1 = r(F)
	scalar P1 = r(p)
	* test 2
    test  _b[reg_cilw_noncaught] + _b[regeg_cilw_noncaught] = 0
	scalar B2 = _b[reg_cilw_noncaught]+_b[regeg_cilw_noncaught] 
	scalar F2 = r(F)
	scalar P2 = r(p)
	* test 3
    test  _b[regeg_cilw_bef1] - _b[regeg_cilw_noncaught] = 0
	scalar B3 = _b[regeg_cilw_bef1] - _b[regeg_cilw_noncaught]
	scalar F3 = r(F)
	scalar P3 = r(p)
	
boottest {reg_cilw_bef1} {reg_cilw_noncaught} {regeg_cilw_bef1} {regeg_cilw_noncaught}{reg_cilw_noncaught+regeg_cilw_noncaught=0},  reps(9999) weight(webb) cluster(`cluster')
	matrix CI_1 = r(CI_1)
	matrix CI_2 = r(CI_2)
	matrix CI_3 = r(CI_3)
	matrix CI_4 = r(CI_4)
	matrix Mmar = (r(t_1) \ r(p_1) \ CI_1[1,1] \ CI_1[1,2] \ r(t_2) \ r(p_2) \ CI_2[1,1] \ CI_2[1,2] \ r(t_3) \ r(p_3) \ CI_3[1,1] \ CI_3[1,2] \ r(t_4) \ r(p_4) \ CI_4[1,1] \ CI_4[1,2] \ B2 \ F2 \ P2 \ r(t_5) \ r(p_5) \ r(F_5) )
	
	xi : edfreg getmarriedthisyear  reg_cilw_bef1  reg_cilw_noncaught regeg_cilw_bef1 regeg_cilw_noncaught $spe2  $weight if $sampleMar, cluster(`cluster') select(reg_cilw_bef1  reg_cilw_noncaught regeg_cilw_bef1 regeg_cilw_noncaught)	
	matrix EMar = e(edf)	
	
restore

preserve 
keep if $sampleSep
reg  breakup reg_cilw_bef1  reg_cilw_noncaught regeg_cilw_bef1 regeg_cilw_noncaught $spe2  $weight if $sampleSep, vce(cluster `cluster')
est store breakup

	* test 4
	test  _b[reg_cilw_bef1] - _b[reg_cilw_noncaught] = 0
	scalar B4 = _b[reg_cilw_bef1] - _b[reg_cilw_noncaught] 
	scalar F4 = r(F)
	scalar P4 = r(p)
	* test 5
    test  _b[reg_cilw_noncaught] + _b[regeg_cilw_noncaught] = 0
	scalar B5 = _b[reg_cilw_noncaught]+_b[regeg_cilw_noncaught] 
	scalar F5 = r(F)
	scalar P5 = r(p)
	* test 6
    test  _b[regeg_cilw_bef1] - _b[regeg_cilw_noncaught] = 0
	scalar B6 = _b[regeg_cilw_bef1] - _b[regeg_cilw_noncaught]
	scalar F6 = r(F)
	scalar P6 = r(p)
	
	
boottest {reg_cilw_bef1} {reg_cilw_noncaught} {regeg_cilw_bef1} {regeg_cilw_noncaught}{reg_cilw_noncaught+regeg_cilw_noncaught=0},  reps(9999) weight(webb) cluster(`cluster')
	matrix CI_1 = r(CI_1)
	matrix CI_2 = r(CI_2)
	matrix CI_3 = r(CI_3)
	matrix CI_4 = r(CI_4)
	matrix Mbreakup = (r(t_1) \ r(p_1) \ CI_1[1,1] \ CI_1[1,2] \ r(t_2) \ r(p_2) \ CI_2[1,1] \ CI_2[1,2] \ r(t_3) \ r(p_3) \ CI_3[1,1] \ CI_3[1,2] \ r(t_4) \ r(p_4) \ CI_4[1,1] \ CI_4[1,2] \ B5 \ F5 \ P5 \ r(t_5) \ r(p_5) \ r(F_5) )
	
	xi : edfreg breakup  reg_cilw_bef1  reg_cilw_noncaught regeg_cilw_bef1 regeg_cilw_noncaught $spe2  $weight if $sampleSep, cluster(`cluster') select(reg_cilw_bef1  reg_cilw_noncaught regeg_cilw_bef1 regeg_cilw_noncaught)	
	matrix ESep = e(edf)	
	
restore	

matrix wild = Mmar, Mbreakup
matrix colnames wild = Mmar Mbreakup
matrix rownames wild = t_fed_bef p_fed_bef CI_low_fed_bef CI_high_fed_bef t_fed_nonc p_fed_nonc CI_low_fed_nonc CI_high_fed_nonc t_eg_bef p_eg_bef CI_low_eg_bef CI_high_eg_bef t_eg_nonc p_eg_nonc CI_low_eg_nonc CI_high_eg_nonc b_sum F_sum p_sum t_sum_WB p_sum_WB F_sum_WB 	
	
log using "$results\tab6_selectionMarSep_BefAft", append text
estimates table mar_flux breakup , keep(reg_cilw_bef1  reg_cilw_noncaught regeg_cilw_bef1 regeg_cilw_noncaught) b(%9.3f) se(%9.3f) p(%9.3f) stats(N r2) title("Sample = Couple")
log close  _all


log using "$results\tab6_selectionMarSep_BefAft", append text
	matrix Test1 = (B1,B4   \ /*
	*/              F1,F4 \ /*
	*/              P1,P4)
	matrix list Test1
	
	matrix Test2 = (B2,B5  \ /*
	*/              F2,F5  \ /*
	*/              P2,P5)
	matrix list Test2
	
	matrix Test3 = (B3,B6  \ /*
	*/              F3,F6  \ /*
	*/              P3,P6)
	matrix list Test3
	
	matrix list wild
	
	matrix list EMar 
	matrix list  ESep
	
	log close  _all

end


****** Perform selection tests dans mariage et separation *******
set more off
local date = c(current_date)
_result_marsep "pvreg25"








